import Api from '../axios'

const prefix = '/mdm/mdm/interfaceDataSources'

export default {
  /* 获取接口列表 */
  listInterfaceDataSources (obj) {
    return Api.get(prefix + '/listInterfaceDataSources', obj)
  },
  /* 数据源管理单条数据源详细信息 */
  getInterfaceDataSourcesById (obj) {
    return Api.getById(prefix + '/getInterfaceDataSourcesById', obj)
  },
  /* 数据源管理单条数据源详细信息测试 */
  testInterfaceDataSources (obj) {
    return Api.post(prefix + '/testInterfaceDataSources', obj)
  },
  /* 数据源管理单条数据源信息接口请求方式查询 */
  listRequestMode (obj) {
    return Api.get(prefix + '/listRequestMode', obj)
  },
  /* 数据源管理单条数据源信息接口状态修改 */
  updateInterfaceDataSourcesStatus (obj) {
    return Api.putById(prefix + '/updateInterfaceDataSourcesStatus', obj)
  },
  /* 数据源管理单条数据源信息删除 */
  deleteInterfaceDataSources (obj) {
    return Api.deleteById(prefix + '/deleteInterfaceDataSources', obj)
  },
  /* 数据源管理单条数据源信息新增 */
  addInterfaceDataSources (obj) {
    return Api.post(prefix + '/addInterfaceDataSources', obj)
  },
  /* 数据源管理数据源信息接口分类新增 */
  addInterfaceProject (obj) {
    return Api.post(prefix + '/addInterfaceProject', obj)
  },
  /* 数据源管理单条数据源信息修改 */
  updateInterfaceDataSourcesById (obj) {
    return Api.putById(prefix + '/updateInterfaceDataSourcesById', obj)
  },
  /* 数据源管理数据源信息接口分类修改 */
  updateInterfaceProjectById (obj) {
    return Api.putById(prefix + '/updateInterfaceProjectById', obj)
  },
  /* 数据源管理数据源信息接口分类BYid */
  getInterfaceProjectById (obj) {
    return Api.getById(prefix + '/getInterfaceProjectById', obj)
  },
  /* 数据源管理数据源信息接口分类查询 */
  listInterfaceProject (obj) {
    return Api.get(prefix + '/listInterfaceProject', obj)
  },
  /* 数据源管理数据源信息接口分类删除 */
  deleteInterfaceProject (obj) {
    return Api.deleteById(prefix + '/deleteInterfaceProject', obj)
  },
}
